- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b9b7df46-bb90-43c1-af83-c6e1322a90bc
    creation_time: 2023-02-17T13:37:22.322963Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: af444076-d82c-480c-92ee-904e6f5aeb24
    creation_time: 2023-02-17T13:37:22.323156Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 42
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 4ff92b01-63ff-48d9-8da0-3d183bf476e1
    creation_time: 2023-02-17T13:37:22.323252Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 49
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a == y * r + x * p && b == x * q + y * s && v == b * d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e3be55ec-a95a-4255-a887-ea415375a764
    creation_time: 2023-02-17T13:37:22.323549Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 50
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 20fc747b-3b21-452d-9cea-d567b0e7f0ba
    creation_time: 2023-02-17T13:37:22.323659Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 51
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3aa3830a-e852-49ef-8f6d-ee03723fc32a
    creation_time: 2023-02-17T13:37:22.323757Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 52
    column: 0
    function: main
  location_invariant:
    string: a == k * b + c
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: dc4093b4-10c6-4002-b0f2-e55bcdeba6b3
    creation_time: 2023-02-17T13:37:22.323842Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 53
    column: 0
    function: main
  location_invariant:
    string: v == b * d
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d7d87446-df73-41c8-a5e3-950e809f06b1
    creation_time: 2023-02-17T13:37:22.323924Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd3-ll_valuebound1.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd3-ll_valuebound1.c: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd3-ll_valuebound1.c
    file_hash: 40c004ecbeb3948e318f4c5fc8011bd289b059bb9dbb2959c45853a9680cf20f
    line: 74
    column: 0
    function: main
  location_invariant:
    string: p*x - q*x + r*y - s*y  == a
    type: assertion
    format: C

